package com.ag.algroithm.data;

import java.util.ArrayList;
import java.util.List;

public class ContantData {


    /**
     * 火车位置
     *
     * 1，2，3，4，5
     *
     * 如果火车位置在第三排，1和2排，改成2和1排，对于小于火车位置的，用火车位置-排数
     * 后面3，4，5排改成，1，2，3排，对于大于火车位置的，用实际排数-火车位置+1
     * @return
     */
    public int getTrainpostion(){

        return 3;
    }

    /**
     * 箱子分布图
     * @return
     */
    public List data(){

        List<CntrProerty> arrlist = new ArrayList<CntrProerty>();


        /*
         1排 1 呗========
        * */
        CntrProerty cntrProerty = new CntrProerty();
        //一排，一层，一列（呗）A1
        cntrProerty.setRow(1);
        cntrProerty.setFloor(1);
        cntrProerty.setChant(1);
        cntrProerty.setCntrno("A1");
        cntrProerty.setDirect(0);//左边
        CntrProerty cntrProerty2 = new CntrProerty();
        //一排，二层，一列（呗）A2
        cntrProerty2.setRow(1);
        cntrProerty2.setFloor(2);
        cntrProerty2.setChant(1);
        cntrProerty2.setCntrno("A2");
        cntrProerty2.setDirect(0);//左边
        CntrProerty cntrProerty3 = new CntrProerty();
        //一排，三层，一列（呗）A3
        cntrProerty3.setRow(1);
        cntrProerty3.setFloor(3);
        cntrProerty3.setChant(1);
        cntrProerty3.setCntrno("A3");
        cntrProerty3.setDirect(0);//左边

       /*
        2 排 1呗========
        * */
        CntrProerty cntrProertyTwoRow = new CntrProerty();
        //2排，一层，一列（呗）AA1
        cntrProertyTwoRow.setRow(2);
        cntrProertyTwoRow.setFloor(1);
        cntrProertyTwoRow.setChant(1);
        cntrProertyTwoRow.setCntrno("AA1");
        cntrProertyTwoRow.setDirect(0);//左边
        CntrProerty cntrProertyTwoRowTwoFloor = new CntrProerty();
        //2排，二层，一列（呗）AA2
        cntrProertyTwoRowTwoFloor.setRow(2);
        cntrProertyTwoRowTwoFloor.setFloor(2);
        cntrProertyTwoRowTwoFloor.setChant(1);
        cntrProertyTwoRowTwoFloor.setCntrno("AA2");
        cntrProertyTwoRowTwoFloor.setDirect(0);//左边
        CntrProerty cntrProertyTwoRowThreeFloor = new CntrProerty();
        //2排，三层，一列（呗）AA3
        cntrProertyTwoRowThreeFloor.setRow(2);
        cntrProertyTwoRowThreeFloor.setFloor(3);
        cntrProertyTwoRowThreeFloor.setChant(1);
        cntrProertyTwoRowThreeFloor.setCntrno("AA3");
        cntrProertyTwoRowThreeFloor.setDirect(0);//左边


        arrlist.add(cntrProerty);
        arrlist.add(cntrProerty2);
        arrlist.add(cntrProerty3);
        arrlist.add(cntrProertyTwoRow);
        arrlist.add(cntrProertyTwoRowTwoFloor);
        arrlist.add(cntrProertyTwoRowThreeFloor);

        /*
         1排 2 呗========
        * */
        CntrProerty cntrProertytwochant = new CntrProerty();
        //一排，一层，2列（呗）B1
        cntrProertytwochant.setRow(1);
        cntrProertytwochant.setFloor(1);
        cntrProertytwochant.setChant(2);
        cntrProertytwochant.setCntrno("B1");
        cntrProertytwochant.setDirect(0);//左边
        CntrProerty cntrProertytwochant2 = new CntrProerty();
        //一排，二层，2列（呗）B2
        cntrProertytwochant2.setRow(1);
        cntrProertytwochant2.setFloor(2);
        cntrProertytwochant2.setChant(2);
        cntrProertytwochant2.setCntrno("B2");
        cntrProertytwochant2.setDirect(0);//左边
        CntrProerty cntrProertytwochant3 = new CntrProerty();
        //一排，三层，2列（呗）B3
        cntrProertytwochant3.setRow(1);
        cntrProertytwochant3.setFloor(3);
        cntrProertytwochant3.setChant(2);
        cntrProertytwochant3.setCntrno("B3");
        cntrProertytwochant3.setDirect(0);//左边

       /*
        2 排 2呗========
        * */
        CntrProerty cntrProertyTwoRowTwochant = new CntrProerty();
        //2排，一层，2列（呗）D1
        cntrProertyTwoRowTwochant.setRow(2);
        cntrProertyTwoRowTwochant.setFloor(1);
        cntrProertyTwoRowTwochant.setChant(2);
        cntrProertyTwoRowTwochant.setCntrno("BB1");
        cntrProertyTwoRowTwochant.setDirect(0);//左边
        CntrProerty cntrProertyTwoRowTwoFloorTwochant = new CntrProerty();
        //2排，二层，2列（呗）D2
        cntrProertyTwoRowTwoFloorTwochant.setRow(2);
        cntrProertyTwoRowTwoFloorTwochant.setFloor(2);
        cntrProertyTwoRowTwoFloorTwochant.setChant(2);
        cntrProertyTwoRowTwoFloorTwochant.setCntrno("BB2");
        cntrProertyTwoRowTwoFloorTwochant.setDirect(0);//左边
        CntrProerty cntrProertyTwoRowThreeFloorTwochant = new CntrProerty();
        //2排，三层，2列（呗）D3
        cntrProertyTwoRowThreeFloorTwochant.setRow(2);
        cntrProertyTwoRowThreeFloorTwochant.setFloor(3);
        cntrProertyTwoRowThreeFloorTwochant.setChant(2);
        cntrProertyTwoRowThreeFloorTwochant.setCntrno("BB3");
        cntrProertyTwoRowThreeFloorTwochant.setDirect(0);//左边


         /*
         2排 2呗========
        * */
        CntrProerty cntrProertyGG = new CntrProerty();
        //一排，一层，一列（呗）A1
        cntrProertyGG.setRow(2);
        cntrProertyGG.setFloor(1);
        cntrProertyGG.setChant(2);
        cntrProertyGG.setCntrno("GG1");
        cntrProertyGG.setDirect(1);//右边


        arrlist.add(cntrProertytwochant);
        arrlist.add(cntrProertytwochant2);
        arrlist.add(cntrProertytwochant3);
        arrlist.add(cntrProertyTwoRowTwochant);
        arrlist.add(cntrProertyTwoRowTwoFloorTwochant);
        arrlist.add(cntrProertyTwoRowThreeFloorTwochant);
        arrlist.add(cntrProertyGG);
        return arrlist;
    }
}
